Subject: Re: [PATCH 04/11] of/flattree: eliminate cell_t typedef

From: Mitch Bradley <[email-masked]>
Date: Wed, 25 Nov 2009 21:52:35 -1000

>
> Right, that's the only sane way to do it, I just didn't remember off
> hand what was said in the OF spec  :-) 

3.2.2.1.2 Property values

The property-encoding format is independent of hardware byte order and 
alignment characteristics.  The encoded byte order is well-defined (in 
particular, it is big endian). ...

...

-- 32-bit integer.  A 32-bit integer is encoded into a property value 
byte array by storing the most significant byte at the next available 
address, followed (at address+1) by the high middle byte, the low middle 
byte, and (at address+3) the least significant byte.